Add feedback attachment
Accepts multipart form data with attachment files.
Path parameters
feedbackIdstringRequired
The feedback ID.
Body
filestring · binaryOptional
Responses
201
Created
application/json
idstringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
namestringOptional
Represents the name this attachment.
descriptionstring · nullableOptional
Represents the description this attachment.
400
Bad Request
application/json
403
Forbidden
application/json
500
Internal Server Error
post/public/v1/helpdesk/feedback/{feedbackId}/attachments
POST /public/v1/helpdesk/feedback/{feedbackId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 83
{
"attachment": {
"name": "text",
"description": "text",
"file": "binary"
},
"file": "binary"
}{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"icon": "text",
"revision": 1,
"feedback": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"description": "text",
"requester": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"account": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"status": "Submitted",
"rating": 1,
"notes": "text",
"internalNotes": "text",
"externalId": "text",
"metaData": null,
"attachments": [
{
"id": "text",
"icon": "text",
"revision": 1,
"feedback": "[Circular Reference]",
"file": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Icon",
"filename": "report.pdf",
"size": 102400,
"contentType": "application/pdf"
},
"name": "text",
"description": "text"
}
]
},
"status": "Active",
"file": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Icon",
"filename": "report.pdf",
"size": 102400,
"contentType": "application/pdf"
},
"name": "text",
"description": "text"
}Last updated
Was this helpful?